## azure-proxy-agent 1.0.30

=== debian/changelog ===
azure-proxy-agent (1.0.30-0ubuntu6~24.04.1) noble; urgency=medium

  [ Daniel Draper ]
  * d/p/fix-systemd-deps-cycle.patch: ensure the service is terminated on
    system shutdown (LP: #2125930)

 -- Miriam España Acebal <miriam.espana@canonical.com>  Tue, 30 Sep 2025 15:27:52 +0200

azure-proxy-agent (1.0.30-0ubuntu4~24.04.3) noble; urgency=medium

  * d/p/fix-systemd-deps-cycle.patch: fix dependency cycle in the unit file.
    Use DefaultDependencies=no to remove the dependency on basic.target.
    (LP: #2122345)

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Mon, 08 Sep 2025 10:26:17 +0200

azure-proxy-agent (1.0.30-0ubuntu4~24.04.2) noble; urgency=medium

  * d/rules: use cargo-1.80 to build the agent.
     - The version of the aya crate that is used by the agent requires
       cargo-1.80 or higher.
  * d/control: add missing vendored dependencies and depend on cargo-1.80.
     - dh-cargo-vendored-sources is not able to detect when the rust-vendor
       directory has been generated with cargo-vendor-filterer thus
       producing a XS-Vendored-Sources-Rust string that does not accurately
       reflect the rust dependencies. Specifically, XS-Vendored-Sources-Rust
       includes dependencies that have been selectively removed by
       cargo-vendor-filterer. See LP#2111699.

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Thu, 28 Aug 2025 09:37:27 +0200

azure-proxy-agent (1.0.30-0ubuntu4~24.04.1) noble; urgency=medium

  * Backport to noble (LP: #2115197)

 -- Daniel Draper <daniel.draper@canonical.com>  Thu, 07 Aug 2025 14:32:27 -0700

azure-proxy-agent (1.0.30-0ubuntu4) questing; urgency=medium

  * d/t/control: add the isolation-machine restriction to the smoke test, as
    the agent needs a VM.

 -- Daniel Draper <daniel.draper@canonical.com>  Wed, 06 Aug 2025 14:14:53 -0700

azure-proxy-agent (1.0.30-0ubuntu3) questing; urgency=medium

  * d/p/cargo-vendor-workspace-ignore.patch: add missing DEP-3 header
  * d/p/systemd-service-description.patch: add missing DEP-3 header

 -- Daniel Draper <daniel.draper@canonical.com>  Tue, 29 Jul 2025 14:52:37 -0700

azure-proxy-agent (1.0.30-0ubuntu2) questing; urgency=medium

  * Fix failing autopkgtest.
    Since we stopped logging to a file, the smoke test was failing. We can
    simply read the logs from the journal instead to fix the issue.
    (LP: #2112315)
  * Remove deprecated lintian-overrides.
    The systemd service file was modified upstream and some of the
    lintian-overrides are not needed anymore.
  * Include Cargo.lock in the binary package.
    The MIR doc for rust packages states that the Cargo.lock should be
    included in the package.

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Mon, 02 Jun 2025 09:51:31 +0200

azure-proxy-agent (1.0.30-0ubuntu1) questing; urgency=medium

  * New upstream version 1.0.30.
  * d/rules: use the main Cargo.toml to create the vendor directory.
  * debian: create README.source and add script to update crates.
    This is necessary in case a vulnerability is found in one of the
    dependencies and the package needs to be rebuilt.
  * d/p/systemd-service-description.patch: refresh patch.
    The patch was not applying correctly on top of the new upstream version.
  * d/copyright: remove superfuous patterns as some dependencies were removed.
  * Update XS-Vendored-Sources-Rust and verify it during build.
    This also included adding a patch to exclude the rust-vendor directory
    from the workspace.
  * d/control: change Section to admin.
    The Section is not about the programing language used to write the
    software but should reflect what the package is used for.
  * Generate new vendor directory
  * Disable logging to file. The new version of the agent supports disabling
    logging to files by configuring the log directory to an empty string. This
    way, only the logs are only going to the journal and don't fill the disk.

 -- Gauthier Jolly <gauthier.jolly@canonical.com>  Mon, 26 May 2025 15:24:45 +0200
