=== debian/control ===
Source: azure-proxy-agent
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gauthier Jolly <gauthier.jolly@canonical.com>
Build-Depends: clang,
               debhelper-compat (= 13),
               python3,
               cargo-1.80,
               dh-cargo,
               libbpf-dev,
               libbpfcc-dev,
               pkgconf
Standards-Version: 4.6.2
Homepage: https://github.com/Azure/GuestProxyAgent
XS-Vendored-Sources-Rust: addr2line@0.24.1, adler2@2.0.0, ahash@0.8.11, aho-corasick@1.1.3, allocator-api2@0.2.18, anstream@0.6.15, anstyle-parse@0.2.5, anstyle-query@1.1.1, anstyle-wincon@3.0.4, anstyle@1.0.8, assert_matches@1.5.0, autocfg@1.3.0, aya-obj@0.2.1, aya@0.13.1, backtrace@0.3.74, bitflags@2.6.0, byteorder@1.5.0, bytes@1.7.1, cfg-if@1.0.0, cfg_aliases@0.2.1, clap@4.5.18, clap_builder@4.5.18, clap_derive@4.5.18, clap_lex@0.7.2, colorchoice@1.0.2, concurrent-queue@2.5.0, core-error@0.0.0, core-foundation-sys@0.8.7, crc32fast@1.4.2, crossbeam-deque@0.8.5, crossbeam-epoch@0.9.18, crossbeam-utils@0.8.20, ctor-proc-macro@0.0.4, ctor@0.3.6, deranged@0.3.11, either@1.13.0, equivalent@1.0.1, field-offset@0.3.6, fnv@1.0.7, foldhash@0.1.4, futures-channel@0.3.30, futures-core@0.3.31, futures-sink@0.3.30, futures-task@0.3.31, futures-util@0.3.31, getrandom@0.2.15, gimli@0.31.0, hashbrown@0.14.5, hashbrown@0.15.2, hdrhistogram@7.5.4, heck@0.5.0, hermit-abi@0.3.9, hex@0.4.3, hmac-sha256@1.1.7, http-body-util@0.1.2, http-body@1.0.1, http@1.1.0, httparse@1.9.4, httpdate@1.0.3, hyper-util@0.1.8, hyper@1.4.1, indexmap@2.7.1, is_terminal_polyfill@1.70.1, itertools@0.10.5, itoa@1.0.11, libc@0.2.171, libloading@0.8.5, log@0.4.26, memchr@2.7.4, memoffset@0.9.1, miniz_oxide@0.8.0, mio@1.0.2, nix@0.29.0, ntapi@0.4.1, num-conv@0.1.0, num-traits@0.2.19, object@0.36.4, once_cell@1.20.2, os_info@3.8.2, pin-project-lite@0.2.14, pin-utils@0.1.0, powerfmt@0.2.0, ppv-lite86@0.2.20, proc-macro2@1.0.93, quote@1.0.37, rand@0.8.5, rand_chacha@0.3.1, rand_core@0.6.4, rayon-core@1.12.1, rayon@1.10.0, regex-automata@0.4.9, regex-syntax@0.8.5, regex@1.11.1, rustc-demangle@0.1.24, rustc_version@0.4.1, ryu@1.0.18, semver@1.0.23, serde-xml-rs@0.6.0, serde@1.0.210, serde_derive@1.0.210, serde_json@1.0.128, slab@0.4.9, smallvec@1.13.2, socket2@0.5.7, static_vcruntime@2.0.0, strsim@0.11.1, syn@2.0.96, sync_wrapper@1.0.2, sysinfo@0.30.13, thiserror-impl@1.0.64, thiserror@1.0.64, thread-id@4.2.2, time-core@0.1.2, time-macros@0.2.18, time@0.3.36, tokio-macros@2.5.0, tokio-util@0.7.12, tokio@1.43.1, toml@0.5.11, tower-http@0.6.2, tower-layer@0.3.3, tower-service@0.3.3, tower@0.5.2, tracing-core@0.1.32, tracing@0.1.40, try-lock@0.2.5, unicode-ident@1.0.13, utf8parse@0.2.2, uuid-macro-internal@1.10.0, uuid@1.10.0, uzers@0.12.1, version_check@0.9.5, want@0.3.1, wasi@0.11.0+wasi-snapshot-preview1, widestring@0.4.3, widestring@1.1.0, winapi-i686-pc-windows-gnu@0.4.0, winapi-x86_64-pc-windows-gnu@0.4.0, winapi@0.3.9, windows-acl@0.3.0, windows-core@0.52.0, windows-service@0.7.0, windows-sys@0.42.0, windows-sys@0.52.0, windows-targets@0.52.6, windows@0.52.0, windows_aarch64_gnullvm@0.42.2, windows_aarch64_gnullvm@0.52.6, windows_aarch64_msvc@0.42.2, windows_aarch64_msvc@0.52.6, windows_i686_gnu@0.42.2, windows_i686_gnu@0.52.6, windows_i686_gnullvm@0.52.6, windows_i686_msvc@0.42.2, windows_i686_msvc@0.52.6, windows_x86_64_gnu@0.42.2, windows_x86_64_gnu@0.52.6, windows_x86_64_gnullvm@0.42.2, windows_x86_64_gnullvm@0.52.6, windows_x86_64_msvc@0.42.2, windows_x86_64_msvc@0.52.6, winreg@0.11.0, winres@0.1.12, xml-rs@0.8.22, zerocopy-derive@0.7.35, zerocopy@0.7.35
Rules-Requires-Root: no

Package: azure-proxy-agent
Architecture: amd64 arm64
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${cargo:Depends},
Recommends: ${cargo:Recommends},
Provides: ${cargo:Provides},
Built-Using: ${cargo:Built-Using},
Description: Azure Guest Proxy Agent
 The Azure Guest Proxy Agent is a daemon that runs on the Azure guest
 operating system and provides a proxy for the Azure Fabric Controller
 to communicate with the guest operating system.
 This package contains the proxy agent.
