=== debian/rules ===
--- 
+++ 
@@ -52,10 +52,7 @@
 		--tier 2 \
 		--platform '*-*-linux-gnu' \
 		--platform '*-*-linux-gnueabi' \
-		-s proxy_agent/Cargo.toml \
-		-s proxy_agent_shared/Cargo.toml \
-		-s proxy_agent_extension/Cargo.toml \
-		-s proxy_agent_setup/Cargo.toml $(CARGO_VENDOR_DIR)
+		-s Cargo.toml $(CARGO_VENDOR_DIR)
 
 vendor-deps: vendor-deps-cargo
 	# Remove unused and undesirable data files (e.g. test data for vendored crates)
@@ -85,7 +82,8 @@
 
 override_dh_auto_build:
 	if test -f Cargo.lock; then mv Cargo.lock Cargo.lock.upstream; fi
-	cargo build $(CARGO_OPTS)
+	/usr/share/cargo/bin/dh-cargo-vendored-sources
+	cargo-1.80 build $(CARGO_OPTS)
 	clang -g -target bpf -O2 \
 		-I/usr/include/$(DEB_TARGET_GNU_TYPE) \
 		-D__TARGET_ARCH_$(BPF_TARGET) \
@@ -94,7 +92,7 @@
 
 execute_after_dh_auto_clean:
 	if test -f Cargo.lock.upstream; then mv Cargo.lock.upstream Cargo.lock; fi
-	cd proxy_agent && cargo clean --verbose
+	cd proxy_agent && cargo-1.80 clean --verbose
 	rm -rf $(CARGO_HOME) debian/azure-guest-proxy-agent.service linux-ebpf/ebpf_cgroup.o
 	rm -rf $(CARGO_REGISTRY)
 
@@ -103,7 +101,7 @@
 ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
 	mkdir -p $(OUT_DIR)
 	cp -f -T "proxy_agent/config/GuestProxyAgent.linux.json" "$(OUT_DIR)/proxy-agent.json"
-	RUST_BACKTRACE=1 cargo test --verbose --release \
+	RUST_BACKTRACE=1 cargo-1.80 test --verbose --release \
 	      --manifest-path proxy_agent/Cargo.toml -- --test-threads=1
 endif
