=== debian/tests/control ===
Tests: smoke
Depends: @, wget
Restrictions: needs-sudo, isolation-machine
